public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-sound/saydate/
@ 2019-10-17 22:38 David Seifert
  0 siblings, 0 replies; only message in thread
From: David Seifert @ 2019-10-17 22:38 UTC (permalink / raw
  To: gentoo-commits

commit:     70ab6c0a3a480238817cc50dd86124ec142c99c2
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 17 22:37:40 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Oct 17 22:37:40 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70ab6c0a

media-sound/saydate: Port to EAPI 7

Bug: https://bugs.gentoo.org/697272
Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-sound/saydate/saydate-0.3.0.ebuild | 40 ++++++++++++++++++--------------
 1 file changed, 22 insertions(+), 18 deletions(-)

diff --git a/media-sound/saydate/saydate-0.3.0.ebuild b/media-sound/saydate/saydate-0.3.0.ebuild
index 7b6489dbdcd..95205e4dd16 100644
--- a/media-sound/saydate/saydate-0.3.0.ebuild
+++ b/media-sound/saydate/saydate-0.3.0.ebuild
@@ -1,35 +1,39 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=0
+EAPI=7
 
-S=${WORKDIR}/${PN}
 DESCRIPTION="A Linux shell program that talks the date and system uptime"
 HOMEPAGE="http://unihedron.com/projects/saydate/saydate.php"
 SRC_URI="http://unihedron.com/projects/saydate/${P}.tar.gz"
+
 LICENSE="GPL-2"
 SLOT="0"
-
 KEYWORDS="amd64 ~ppc ppc64 sparc x86"
 
-DEPEND="=sys-apps/sed-4*"
-IUSE=""
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+	default
 
-# Don't leave this empty or it tries to install directly
-# on livefs
-src_compile() { :; }
+	sed -i 's:/dev/audio:/dev/dsp:' saydate au2raw DESIGN || die
+
+	# don't install pre-compressed files
+	gunzip man/{saydate,au2raw}.1.gz || die
+}
+
+src_compile() {
+	# Don't leave this empty or it tries
+	# to install directly on livefs
+	:
+}
 
-src_install () {
-	insinto /usr/share/man/man1
-	doins "${S}"/man/saydate.1.gz "${S}"/man/au2raw.1.gz
+src_install() {
+	dobin saydate au2raw
 
-	dodir /usr/share/saydate
 	insinto /usr/share/saydate
-	doins "${S}"/data/*.raw
+	doins data/*.raw
 
-	sed -i "s:/dev/audio:/dev/dsp:" "${S}"/saydate
-	sed -i "s:/dev/audio:/dev/dsp:" "${S}"/au2raw
-	sed -i "s:/dev/audio:/dev/dsp:" "${S}"/DESIGN
+	doman man/{saydate,au2raw}.1
 	dodoc README TODO HISTORY DESIGN
-	dobin saydate au2raw || die "dobin failed"
 }


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2019-10-17 22:38 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-10-17 22:38 [gentoo-commits] repo/gentoo:master commit in: media-sound/saydate/ David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox